#!/usr/bin/python

" Help module for internationalization "

import schwinn810.constants as config
import gettext, sys, locale
from os.path import join, dirname
# import os, json
# from utils import read_settings

__all__ = ['_', 'bind']

LOCALEDIR = join(dirname(__file__), 'locale')
# print('LOCALEDIR is %s' % LOCALEDIR)
if gettext.find(config.APP, LOCALEDIR) is None:
    LOCALEDIR = join(sys.prefix, 'share', 'locale')
    # print('LOCALEDIR is %s' % LOCALEDIR)
    # gettext.find(config.APP, LOCALEDIR)

# _ = gettext.translation(config.APP, LOCALEDIR, fallback=True).gettext
try:
    _ = gettext.translation(config.APP, LOCALEDIR, fallback=True).ugettext
except AttributeError:
    _ = gettext.translation(config.APP, LOCALEDIR, fallback=True).gettext

# kwargs = {}
# if sys.version_info[0] < 3:
#     # In Python 2, ensure that the _() that gets installed into built-ins
#     # always returns unicodes.  This matches the default behavior under Python
#     # 3, although that keyword argument is not present in the Python 3 API.
#     kwargs['unicode'] = True
# gettext.install(config.APP, **kwargs)

# def underscore():
#     try:
#         t = gettext.translation(config.APP, dir, fallback=True).ugettext
#     except IOError:
#         t = gettext.NullTranslation()
#     return t.ugettext           # _ =

def bind():
    " Bind translations as we want this for applications and not modules. "
    # gettext.install(config.APP, dir, unicode=1)
    # gettext.bindtextdomain(config.APP, dir)
    # gettext.textdomain(config.APP)
    # locale.find(config.APP, dir, 'ru')
    # locale.dcgettext(config.APP, 'Hello', locale.LC_ALL)
    # locale.setlocale(locale.LC_ALL, 'ru_RU.UTF-8')
    # settings = read_settings()
    # os.environ['LANGUAGE'] = settings["language"]
    locale.bindtextdomain(config.APP, LOCALEDIR)
